import fetch from 'isomorphic-fetch'
import actionType from '../actiontype/getIp'
let domain = 'http://192.168.10.100:7788';

let domainIp = '192.168.10.';

let ipIndex = 0;


const saveIp = (data)=>{
    return{
        type : actionType.SAVEIP,
        data
    }
};

const checkStatus = (response)=>{
    console.log("===========")
    console.log(response);
    if (response.status >= 200 && response.status < 300) {
        return response;
    }
    const error = new Error(response.statusText);
    error.response = response;
    throw error;
};

const parseJson = (response)=>{
    return response.json();
}

const getIp = ()=>{
    return (dispatch =>{
        console.log("ipIndex",ipIndex)
        if(ipIndex > 255){

        }else{
            let url = 'http://' + domainIp + ipIndex + ':7788/testIp';
            console.log("url : ",url);
            fetch( url ,{
                // credentials : 'include',
                method : 'HEAD',
                mode : 'cors',
                body : {}
            }).then(checkStatus)
                .then(parseJson)
                .then((data) => {
                    console.log("data :",data);
                    dispatch(saveIp(domainIp + ipIndex + ':7788'))
                })
                .catch((err) =>{
                    console.log("Err:",err);
                });
        }

    })
};
export {getIp}
