

let domainIp = '192.168.10.';

let ipIndex = 0;



const init = ()=>{
    if("WebSocket" in window){
        console.log("ipIndex : " , ipIndex)
        let url = 'ws://' + domainIp + ipIndex + ':7788/notify';
        try{
            let ws = new WebSocket(url);

            ws.onopen = function()
            {
                // Web Socket 已连接上，使用 send() 方法发送数据
                // ws.send("发送数据");
                console.log("open");
            };

            ws.onmessage = function (evt)
            {
                var received_msg = evt.data;
                console.log("数据已接收...");
            };

            ws.onclose = function(err)
            {
                // 关闭 websocket
                console.log("连接已关闭...");
                console.log("err : ",err)
            };
            ws.onerror = function (err) {
                console.log("wrong...");
                console.log("err : ",err)
                ipIndex++;
                ipIndex = ipIndex > 255 ? 0 : ipIndex;
                init();
            }
        }catch (e) {
            console.log("ERR : ", e);
        }


    }
};

const error = ()=>{

};

module.exports = {init}